setstate u 0
setstate v 0
setstate u_d 0
setstate v_d 0
setstate u_norm 1
setstate v_norm 1
setstate uc_d 0
setstate vc_d 0

outoebx uc_d 1 0
outoebx vc_d 1 0

set_bcoef uc_d 1
set_bcoef vc_d 1


#Conditions initiales :
#loadstate r_float 0 i 0 A 1 ../obs_float/init.dat D
setstate r_float_d 0

loadstate cfil 0 ij 0 A 1 ../obs_float/CC.dat D
loadstate dfil 0 ij 0 A 1 ../obs_float/DD.dat D
loadstate mask 0 ij 0 A 1 ../obs_float/Mask.dat D
loadstate u_norm 0 ij 0 A 1 ../obs_float/NU.dat D
loadstate v_norm 0 ij 0 A 1 ../obs_float/NV.dat D

#Observations :
read_obs ../exp_forw_dan/init.dat
read_bck ../exp_forw_dan/uv_bck_dan.dat
read_mask ../exp_forw_dan/mask_dan.dat
set_modeltime 0


myforward
#lobs
save_output_uv ../exp_forw_dan/uv_total.dat
save_output_rfloat ../exp_forw_dan/rfloat_total.dat

goto fin

#END OF THE ASSMILATION




set_modeltime 0
print_cost ON

setm_impres 3
setm_io 6
setm_mode 0
#set_nbiter 100
set_nbiter 20
setm_nsim 200
setm_dxmin 1.0e-12
setm_epsg 1.0e-12
setm_ddf1 1.0

run_inc
#savestate uc_d 0 ij 0 A 3 ../obs_float/uc_d.dat
#savestate u_d 0 ij 0 A 3 ../obs_float/u_d.dat

goto fin

#uniquement activer les trajectoires de type M model
activ M only 

forward

savestate r_float 0 i 0 A 3 ../obs_float/r_float_forward.dat

activ D only

#testdf 1 29 21 4 r 0.0001 0.0001




print_cost OFF

setm_impres 3
setm_io 6
setm_mode 0
#set_nbiter 100
set_nbiter 20
setm_nsim 200
setm_dxmin 1.0e-12
setm_epsg 1.0e-12
setm_ddf1 1.0

RUNM
savestate r_cout_d 0 i 0 A 3 ../obs_float/r_cout_d_optim_1.dat


update_uv
setstate u_d 0
setstate v_d 0



savestate u 0 ij 0 A 3 ../obs_float/uoptim1.dat
savestate v 0 ij 0 A 3 ../obs_float/voptim1.dat

#FIN 1ere OPTIM

set_modeltime 0
activ M only 
forward
savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim1.dat


activ D only
RUNM

update_uv

savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim.dat
savestate r_cout_d 0 i 0 A 3 ../obs_float/r_cout_d_optim_2.dat
savestate u 0 ij 0 A 3 ../obs_float/uoptim2.dat
savestate v 0 ij 0 A 3 ../obs_float/voptim2.dat
savestate u_d 0 ij 0 A 3 ../obs_float/udoptim.dat
savestate v_d 0 ij 0 A 3 ../obs_float/vdoptim.dat


#FIN 2eme OPTIM


set_modeltime 0
activ M only 
forward
savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim2.dat


activ D only
RUNM

update_uv
savestate u 0 ij 0 A 3 ../obs_float/uoptim3.dat
savestate v 0 ij 0 A 3 ../obs_float/voptim3.dat


#FIN 3eme OPTIM


set_modeltime 0
activ M only 
forward
savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim3.dat


activ D only
RUNM

update_uv
savestate u 0 ij 0 A 3 ../obs_float/uoptim4.dat
savestate v 0 ij 0 A 3 ../obs_float/voptim4.dat


#FIN 4eme OPTIM


set_modeltime 0
activ M only 
forward
savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim4.dat

activ D only
RUNM

update_uv
savestate u 0 ij 0 A 3 ../obs_float/uoptim5.dat
savestate v 0 ij 0 A 3 ../obs_float/voptim5.dat


#FIN 5eme OPTIM


set_modeltime 0
activ M only 
forward
savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim5.dat


activ D only
RUNM

update_uv
savestate u 0 ij 0 A 3 ../obs_float/uoptim6.dat
savestate v 0 ij 0 A 3 ../obs_float/voptim6.dat


#FIN 6eme OPTIM


set_modeltime 0
activ M only 
forward
savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim6.dat

activ D only
RUNM

update_uv
savestate u 0 ij 0 A 3 ../obs_float/uoptim7.dat
savestate v 0 ij 0 A 3 ../obs_float/voptim7.dat


#FIN 7eme OPTIM


set_modeltime 0
activ M only 
forward
savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim7.dat

activ D only
RUNM

update_uv
savestate u 0 ij 0 A 3 ../obs_float/uoptim8.dat
savestate v 0 ij 0 A 3 ../obs_float/voptim8.dat


#FIN 8eme OPTIM


set_modeltime 0
activ M only 
forward
savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim8.dat


activ D only
RUNM

update_uv
savestate u 0 ij 0 A 3 ../obs_float/uoptim9.dat
savestate v 0 ij 0 A 3 ../obs_float/voptim9.dat


#FIN 9eme OPTIM


set_modeltime 0
activ M only 
forward
savestate r_float 0 i 0 A 3 ../obs_float/r_float_optim9.dat



print_cost OFF
#testof 0.1 1 10 10 1  
#testing the gradients of each module 

fin
